/* * {
    outline: none!important;
} */

/* Edge eye password */

input::-ms-reveal,
input::-ms-clear {
    display: none;
}

input,
textarea {
    outline: none !important;
}

html,
body,
#root,
#root {
    margin: 0;
    font-family: "Nunito Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    width: 100%;
    height: 100%;
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Old versions of Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

img {
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
}

#root {
    flex: 1;
    display: flex;
    background-color: white;
    overflow-x: hidden;
}

/* Blocker */

.blocker {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    z-index: 9999999;
    pointer-events: none;
    transition: opacity 0.2s ease-out;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.blocker.visible {
    pointer-events: initial;
    opacity: 1;
}

/* BS Modal */

.modal.blurBackdrop {
    /* Not all computer can handle blur */
    -webkit-backdrop-filter: saturate(0.5);
    backdrop-filter: saturate(0.5);
}

.modal-content {
    border-radius: 12px !important;
    border: none !important;
    box-shadow: 0 5px 35px -6px #333 !important;
    overflow: hidden !important;
}

.modal-dialog {
    transition: all 0.2s !important;
    transform: scale(1.05) !important;
    max-width: 650px !important;
}

.modal-dialog.expand {
    max-width: none !important;
    width: 95vw !important;
}

.modal-dialog *[data-testid="top-bar"] {
    cursor: pointer;
}

.modal-dialog *[data-testid="top-bar"]:active {
    opacity: 70% !important;
}

.modal.show .modal-dialog {
    transform: scale(1) !important;
}

.modal-backdrop.show {
    opacity: 0.5 !important;
}

.modal-body {
    padding: 0 !important;
}

.modal-body .view-fix-chrome {
    display: flex;
    flex-direction: column;
    height: 90vh;
    max-height: 800px;
}

/* Scrollbar */

/* Works on Chrome/Edge/Safari */

*::-webkit-scrollbar {
    width: 5px;
    height: 10px;
}

*::-webkit-scrollbar-track {
    background: transparent;
}

*::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0);
    border-radius: 20px;
    border: 3px solid transparent;
}

*:hover::-webkit-scrollbar-thumb {
    background-color: #ced4da;
}

/* Splash screen */

#splashScreen img.imageSplash {
    max-width: "40%";
    width: 160px;
    height: 40px;
    object-fit: contain;
}

#splashScreen {
    background: white;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999999;
    opacity: 1;
    transition: opacity 0.3s ease-out, transform 0.3s ease-out;
    transition-delay: 0.3s;
    transform: scale(1);
}

#splashScreen.hide {
    pointer-events: none;
    opacity: 0;
    transform: scale(1.5);
}

/* Hide DateTimePicker "input" */

.MuiInputBase-input.MuiInput-input,
.MuiFormControl-root {
    display: none !important;
}

/* Alert Component */

.alert-blocker {
    backdrop-filter: blur(4px);
    background-color: rgb(255 255 255 / 75%);
    width: 210px;
    height: 210px;
    border-radius: 25px;
    padding: 25px 20px;
    justify-content: space-between;
    align-items: center;
    display: flex;
    flex-direction: column;
}

/* Quill Editor */
.ql-container.ql-snow {
    background: rgb(243, 244, 246);
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
    border: 0 !important;
}

.ql-toolbar.ql-snow {
    background: rgb(243, 244, 246);
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    border: 0 !important;
    border-bottom: 1px solid #ced4da !important;
}

.quill.error .ql-toolbar.ql-snow {
    border: 1px solid red !important;
    border-bottom: 1px solid #ced4da !important;
}

.quill.error .ql-container.ql-snow {
    border: 1px solid red !important;
    border-top: 0 !important;
}

.ql-snow .ql-tooltip {
    z-index: 1 !important;
    left: 0 !important;
}

/* Skeleton Loader */
@keyframes skeleton-pulse {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0.4;
    }
}

.skeleton-loader {
    width: 100%;
    height: 100%;
    border-radius: 7px;
    opacity: 1;
    animation: skeleton-pulse 1s linear infinite;
}